import { Component } from '@angular/core';

@Component({
  selector: 'app-header',
  templateUrl: './app-header.component.html',
  styles: ['.active12 { color: #000 !important; background: #eaeaea !important; padding: 8px !important; border-radius: 2px; box-shadow: 1px 0.5px 1px #faf4f4;}']
  // styles: ['
  //   .hyp-active:active {
  //     background: green;
  //   }'
  // ]
})
export class AppHeader {

  public disabled = false;
  public status: {isopen: boolean} = {isopen: false};
  
  public toggled(open: boolean): void {
    console.log('Dropdown is now: ', open);
  }
  
  public toggleDropdown($event: MouseEvent): void {
    $event.preventDefault();
    $event.stopPropagation();
    this.status.isopen = !this.status.isopen;
  }

  ngOnInit(): void {}
}
